/* cdu_seq_file.h
 *
 * This file defines client data usage proc file interface.
 *
 * Author: Cradlepoint Technology, Inc.  <source@cradlepoint.com>
 *		Adrian Sitterle <asitterle@cradlepoint.com>
 *
 * Copyright (C) 2019 Cradlepoint Technology, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#pragma once
#include "cdu_types.h"

int cdu_seq_file_init(void);
void cdu_seq_file_uninit(void);

struct usage_htable *cdu_seq_file_create(const char *name, const u_int8_t readreset);
void cdu_seq_file_destroy(const struct usage_htable *priv);
